Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 215965 - x11-libs/gtkmathview-0.8.0 version bump and gcc-4.3 fixes
Summary: x11-libs/gtkmathview-0.8.0 version bump and gcc-4.3 fixes
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL: http://helm.cs.unibo.it/mml-widget/
Whiteboard:
Keywords: EBUILD
Depends on:
Blocks: gcc-4.3
  Show dependency tree
 
Reported: 2008-04-02 22:46 UTC by Sergey Dryabzhinsky
Modified: 2008-06-07 11:37 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Version bump (gtkmathview-0.8.0.ebuild,1.50 KB, text/plain)
2008-04-03 20:51 UTC, Sergey Dryabzhinsky
Details
Fix missing includes (gtkmathview-0.8.0-gcc43-includes.patch,1.51 KB, patch)
2008-04-03 20:52 UTC, Sergey Dryabzhinsky
Details | Diff
patch to gtkmathview-0.8.0-gcc43.patch (cstringadd.patch,631 bytes, patch)
2008-06-07 10:34 UTC, Jan Jitse Venselaar
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sergey Dryabzhinsky 2008-04-02 22:46:45 UTC
Again missing something and need porting...
And new version released ages ago...

Reproducible: Always

Steps to Reproduce:
1. Switch to gcc-4.3
2. Try to compile x11-libs/gtkmathview
3.

Actual Results:  
MathMLTableFormatter.cc: In member function 'void MathMLTableFormatter::init(const FormattingContext&, unsigned int, unsigned int, const std::__cxx1998::vector<SmartPtr<MathMLTableCellElement>, std::allocator<SmartPtr<MathMLTableCellElement> > >&, const std::__cxx1998::vector<SmartPtr<MathMLTableCellElement>, std::allocator<SmartPtr<MathMLTableCellElement> > >&, const SmartPtr<Value>&, const SmartPtr<Value>&, const SmartPtr<Value>&, const SmartPtr<Value>&, const SmartPtr<Value>&, const SmartPtr<Value>&, const SmartPtr<Value>&, const SmartPtr<Value>&, const SmartPtr<Value>&, const SmartPtr<Value>&)':
MathMLTableFormatter.cc:91: error: 'find_if' is not a member of 'std'
MathMLTableFormatter.cc:104: warning: comparison of unsigned expression >= 0 is always true
MathMLTableFormatter.cc:105: warning: comparison of unsigned expression >= 0 is always true
MathMLTableFormatter.cc: At global scope:
MathMLTableFormatter.cc:193: warning: unused parameter 'ctxt'
MathMLTableFormatter.cc:193: warning: unused parameter 'availableWidth'
MathMLTableFormatter.cc:193: warning: unused parameter 'width'
make[4]: *** [libmathml_la-MathMLTableFormatter.lo] Error 1
make[4]: *** Waiting for unfinished jobs....
make[3]: *** [all-recursive] Error 1
make[2]: *** [all-recursive] Error 1
make[1]: *** [all-recursive] Error 1
make: *** [all] Error 2



x11-libs/gtkmathview 0.8.0 was released at Oct 15, 2007... 

I tryed it, and:

mathVariantAux.cc: In function 'int attributesMatch(const char*, TokenId, TokenId, const MathVariantAttributes*)':
mathVariantAux.cc:57: error: 'strcmp' was not declared in this scope
make[4]: *** [libmathml_la-mathVariantAux.lo] Error 1
make[4]: *** Waiting for unfinished jobs....
make[3]: *** [all-recursive] Error 1
make[2]: *** [all-recursive] Error 1
make[1]: *** [all-recursive] Error 1
make: *** [all] Error 2

I think that version need smaller path then 0.7.6 ...
Comment 1 Sergey Dryabzhinsky 2008-04-03 20:51:19 UTC
Created attachment 148512 [details]
Version bump

Ebuild for new version, with epatch
Comment 2 Sergey Dryabzhinsky 2008-04-03 20:52:10 UTC
Created attachment 148516 [details, diff]
Fix missing includes

Patch for 0.8.0, fix missing includes for gcc-4.3
Comment 3 Gilles Dartiguelongue gentoo-dev 2008-06-02 20:26:29 UTC
fixed in CVS, thanks for reporting and patch. Please submit patch against the ebuild instead of full ebuild next time :)
Comment 4 Jan Jitse Venselaar 2008-06-07 10:34:35 UTC
Created attachment 155797 [details, diff]
patch to gtkmathview-0.8.0-gcc43.patch

The gcc43 patch forgets one case (hit when USE="t1lib").

Please patch it with the attached patch.
Comment 5 Gilles Dartiguelongue gentoo-dev 2008-06-07 11:37:49 UTC
patch updated without a revbump, thanks for reporting.